// ===========================================================================
//	CAppearanceApp.h			1994-1998 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <PP_Prefix.h>
#include <LApplication.h>
#include <LListener.h>
#include <LPeriodical.h>


class	CAppearanceApp : public PP_PowerPlant::LApplication, PP_PowerPlant::LListener, 
								PP_PowerPlant::LPeriodical
{
public:
							CAppearanceApp();	// constructor registers PPobs
		virtual 			~CAppearanceApp();	// stub destructor
	
	
		// this overriding method handles application commands
		virtual Boolean		ObeyCommand(PP_PowerPlant::CommandT inCommand, void* ioParam);	
	
	
		// this overriding method returns the status of menu items
		virtual void		FindCommandStatus(PP_PowerPlant::CommandT inCommand,
									Boolean &outEnabled, Boolean &outUsesMark,
									PP_PowerPlant::Char16 &outMark, Str255 outName);

		virtual void		ListenToMessage(
								MessageT		inMessage,
								void*			ioParam);
							
		virtual	void		SpendTime(
								const EventRecord&		inMacEvent);
protected:

		virtual void		StartUp();			// override startup functions

};